﻿--[[
	BookOfCrafts Localization File

	Add-On developped by Ben a.k.a Blackdove (KirinTor Europe server), from Pandaren Empire Guild
--]]

	--[[
	é: \195\169
	ê: \195\170
	à: \195\160
	î: \195\174
	è: \195\168
	ë: \195\171
	ô: \195\180
	û: \195\187
	â: \195\162
	ç: \185\167
	ù: \195\185
	ä = \195\164
	Ä = \195\132
	ü = \195\188
	Ü = \195\156
	ö = \195\182
	Ö = \195\150
	ß = \195\159 
	pour une apostrophe : \226\128\153

	]]--



-- Addon version and data version
BC_VERSION                  = "3.0.3"
BC_VERSION_DATA             = 4

-- Generic texts
BC_ADDON_ICON               = "Interface\\Icons\\INV_Misc_Book_02"
BC_ADDON_NAME               = "BookOfCrafts"

BC_ERR_LEARN_RECIPE = string.gsub( ERR_LEARN_RECIPE_S, "%%s", "%(.+%)" ) -- '%(' is a normal parenthesis
BC_ERR_SKILL_UP     = string.gsub( ERR_SKILL_UP_SI, "%%s", "(.+)" )      -- '(' is for capture
BC_ERR_SKILL_UP     = string.gsub( BC_ERR_SKILL_UP, "%%d", "(%%d+)" ) 

if( GetLocale()=="frFR" ) then

	--[[ French translation ]]--

	BC_ADDON_DESC                = "Aide \195\160 la gestion des comp\195\169tences d'artisanats de tous vos personnages."
	BC_ADDON_SHORT_DESC          = "Livre d'artisanats"

	--BC_CRAFT_HEADERS             = "manuel formule patron plans recette sch\195\169ma dessin"

	BC_DELETECHAR                = "Effacer Info"
	BC_CONFIRMDELETE             = "Confirmer"
	BC_CLEANDATABASE             = "Nettoyer Données"

	BC_SKILL_MANUAL              = "Manuel :"
	BC_SKILL_FORMULA             = "Formule :"
	BC_SKILL_PATTERN             = "Patron :"
	BC_SKILL_PLANS               = "Plans :"
	BC_SKILL_RECIPE              = "Recette :"
	BC_SKILL_SCHEMATIC           = "Sch\195\169ma :"
	BC_SKILL_DESIGN              = "Dessin :"

	BC_SKILL_REQUIRE_FACTION     = "Requiert (.+) %- (.+)"     -- To scan for 'faction' and 'standing'
	BC_SKILL_REQUIRE_SKILL       = "(.+) %((%d+)%) requis"     -- To scan for 'skill' and 'rank'
	BC_SKILL_REQUIRE_SPECIAL     = "Requiert "

	BC_SKILL_SPECIALS            = "| ma\195\174tre des transmutations | travail du cuir tribal | travail du cuir d'\195\169cailles de dragon | travail du cuir \195\169l\195\169mentaire | fabricant d'armes | fabriquant d'armures | ma\195\174tre fabriquant de haches | ma\195\174tre fabriquant d'\195\169p\195\169es | ma\195\174tre fabriquant de marteaux | ing\195\169nieur gnome | ing\195\169nieur gobelin | couture d'étoffe lunaire | couture de tisse-ombre | couture du feu-sorcier | maître des élixirs | maître des potions | maître des transmutations |"

	BC_SKILL_KNOWN               = "A d\195\169j\195\160 appris : "
	BC_SKILL_MAYLEARN            = "Peut apprendre : "
	BC_SKILL_WILLLEARN           = "Rang insuffisant : "
	BC_SKILL_INBANK              = "A la banque : "
	BC_SKILL_UNKNOWN_UNLEARNABLE = "Recette inutile"

	BC_REAGENT_USEFUL            = "Ingrédient utile pour :"

	BC_CONFIG_INFO               = "Info"
	BC_CONFIG_TITLE              = "Livre d'artisanats"
	BC_CONFIG_TOOLTIPS           = "Tooltips"
	BC_CONFIG_CRAFTS             = "Artisanats"
	BC_CONFIG_REAGENTS           = "Ingrédients"


	BC_TAB_OPTIONS               = "Options"
	BC_TAB_DATA                  = "Data"

	BC_MSG_USAGE                 = BC_ADDON_NAME.."usage:\n   /boc - Ouvre l'écran de configuration"
	BC_MSG_INITIALIZED           = BC_ADDON_NAME.." v"..BC_VERSION.." chargé (/boc pour les options)."
	BC_MSG_DATA_DELETED          = ": données effacées"
	BC_MSG_DATA_NOTFOUND         = " n'a pas été trouv\195\169(e)"
	BC_MSG_OPEN_CRAFT            = "Merci de bien vouloir ouvrir la fenêtre d'artisanat pour une mise à jour."

	-- WoW Key Bindings menu

	BINDING_HEADER_BCHEADER      = BC_ADDON_NAME.." v"..BC_VERSION
	BINDING_NAME_BCCONFIGDIALOG  = "Ouvre la fen\195\170tre de configuration"

	-- Check button labels

	BCUI_CheckButton_SameFaction_Label     = "Personnages de la même faction"
	BCUI_CheckButton_ShowSkillRank_Label   = "Niveau de compétence"
	BCUI_Color_Tooltips_Label              = "Couleur de fond"
	BCUI_Color_TooltipsKnownBy_Label       = "Recette connue"
	BCUI_Color_TooltipsMayLearn_Label      = "Recette à apprendre"
	BCUI_Color_TooltipsRankTooHigh_Label   = "Recette inaccessible"
	BCUI_CheckButton_ShowChatMsg_Label     = "Debug"
	BCUI_CheckButton_ShowCurPlayer_Label   = "Personnage courant"
	BCUI_CheckButton_UseSideTooltip_Label  = "Tooltip indépendant"
	BCUI_CheckButton_ShowReagents_Label    = "Tooltip d'utilité des ingrédients"

elseif( GetLocale()=="deDE" ) then

	--[[ German translation ]]--

	BC_ERR_LEARN_RECIPE          = string.gsub( ERR_LEARN_RECIPE_S, "%%s", "%(.+%)" )
	BC_ERR_SKILL_UP              = string.gsub( ERR_SKILL_UP_SI, "%%1%$s", "(.+)" )
	BC_ERR_SKILL_UP              = string.gsub( BC_ERR_SKILL_UP, "%%2%$d", "(%%d+)" )

	BC_ADDON_DESC                = "Unterst\195\188tzt Sie bei der Verwaltung der Fertigkeiten aller Charaktere."
	BC_ADDON_SHORT_DESC          = "Buch der Fertigkeiten"

	--BC_CRAFT_HEADERS             = "handbuch formel muster pl\195\164ne rezept bauplan vorlage"

	BC_DELETECHAR                = "Delete Info"
	BC_CONFIRMDELETE             = "Confirm"
	BC_CLEANDATABASE             = "Clean Database"

	BC_SKILL_MANUAL              = "Handbuch: "
	BC_SKILL_FORMULA             = "Formel: "
	BC_SKILL_PATTERN             = "Muster: "
	BC_SKILL_PLANS               = "Pl\195\164ne: "
	BC_SKILL_RECIPE              = "Rezept: "
	BC_SKILL_SCHEMATIC           = "Bauplan: "
	BC_SKILL_DESIGN              = "Vorlage: "

	BC_SKILL_SPECIALS            = "| R\195\188stungsschmied | Waffenschmied | Schwertschmiedemeister | Axtschmiedemeister | Hammerschmiedemeister | Goblin-Ingenieur | Gnomen-Ingenieur | Stammeslederverarbeitung | Elementarlederverarbeitung | Drachenschuppenlederverarbeitung |"

	BC_SKILL_REQUIRE_FACTION     = "Ben\195\182tigt (.+) - (.+)"
	BC_SKILL_REQUIRE_SKILL       = "Ben\195\182tigt (.+) %((%d+)%)"
	BC_SKILL_REQUIRE_SPECIAL     = "Ben\195\182tigt "

	BC_SKILL_KNOWN               = "Bereits bekannt: "
	BC_SKILL_MAYLEARN            = "Gleich erlernbar: "
	BC_SKILL_WILLLEARN           = "Sp\195\164ter erlernbar: "
	BC_SKILL_INBANK              = "In bank: "
	BC_SKILL_UNKNOWN_UNLEARNABLE = "Nicht erlernbar / Fertigkeit noch nicht erlernt"

	BC_REAGENT_USEFUL            = "Reagent useful for:"

	BC_CONFIG_INFO               = "Information"
	BC_CONFIG_TITLE              = "Buch der Fertigkeiten"
	BC_CONFIG_TOOLTIPS           = "Tooltips"
	BC_CONFIG_CRAFTS             = "Crafts"
	BC_CONFIG_REAGENTS           = "Reagents"

	BC_TAB_OPTIONS               = "Einstellungen"
	BC_TAB_DATA                  = "Daten"

	BC_MSG_USAGE                 = BC_ADDON_NAME.." Aufruf:\n   /boc - \195\150ffnet das Konfigurationsfenster von BoC"
	BC_MSG_INITIALIZED           = BC_ADDON_NAME.." v"..BC_VERSION.." wurde geladen (/boc um das Konfigurationsfenster zu \195\182ffnen)."
	BC_MSG_DATA_DELETED          = ": data deleted"
	BC_MSG_DATA_NOTFOUND         = " was not found"
	BC_MSG_OPEN_CRAFT            = "Please open your tradeskill/craft to update data"



	-- WoW Key Bindings menu

	BINDING_HEADER_BCHEADER      = BC_ADDON_NAME.." v"..BC_VERSION
	BINDING_NAME_BCCONFIGDIALOG  = "Konfigurationsfenster \195\182ffnen"

	-- Check button labels

	BCUI_CheckButton_SameFaction_Label              = "Nur Charakter der eigenen Fraktion\nanzeigen"
	BCUI_CheckButton_ShowSkillRank_Label            = "Fertigkeitsr\195\164nge anzeigen"
	BCUI_Color_Tooltips_Label                       = "Tooltip Farbe"
	BCUI_CheckButton_ShowChatMsg_Label              = "Debug"
	BCUI_CheckButton_ShowCurPlayer_Label            = "Auch diesen Charakter bei der\nAuswertung miteinbeziehen"
	BCUI_Color_TooltipsKnownBy_Label                = "Bereits bekannt"
	BCUI_Color_TooltipsMayLearn_Label               = "Gleich erlernbar"
	BCUI_Color_TooltipsRankTooHigh_Label            = "Sp\195\164ter erlernbar"
	BCUI_CheckButton_UseSideTooltip_Label           = "Seitlichen Tooltip benutzen"
	BCUI_CheckButton_ShowReagents_Label             = "Reagents watcher tooltip"

elseif( GetLocale()=="esES" ) then

	--[[ Spanish translation ]]--

	BC_ADDON_DESC                = "Helps managing trade skills for all your characters."
	BC_ADDON_SHORT_DESC          = "Book of crafts"

	--BC_CRAFT_HEADERS             = "manual fórmula patrón diseño receta esquema boceto"

	BC_DELETECHAR                = "Delete Info"
	BC_CONFIRMDELETE             = "Confirm"
	BC_CLEANDATABASE             = "Clean Database"

	BC_SKILL_MANUAL              = "Manual: "
	BC_SKILL_FORMULA             = "Fórmula: "
	BC_SKILL_PATTERN             = "Patrón: "
	BC_SKILL_PLANS               = "Diseño: "
	BC_SKILL_RECIPE              = "Receta: "
	BC_SKILL_SCHEMATIC           = "Esquema: "
	BC_SKILL_DESIGN              = "Boceto: "

	BC_SKILL_SPECIALS            = "| peletería tribal | peletería de escamas de dragón | peletería elemental | forjador de armas | forjador de armaduras | maestro forjador de hachas | maestro forjador de espadas | maestro forjador de martillos | ingeniero gnómico | ingeniero goblin |"

	BC_SKILL_REQUIRE_FACTION     = "Requiere (.+): (.+)"
	BC_SKILL_REQUIRE_SKILL       = "Requiere (.+) %((%d+)%)"
	BC_SKILL_REQUIRE_SPECIAL     = "Requiere "

	BC_SKILL_KNOWN               = "Already known: "
	BC_SKILL_MAYLEARN            = "May learn: "
	BC_SKILL_WILLLEARN           = "Rank too high: "
	BC_SKILL_INBANK              = "In bank: "
	BC_SKILL_UNKNOWN_UNLEARNABLE = "Unuseful recipe"

	--BC_SKILL_NOTKNOWN             = "Known by no other character"
	--BC_SKILL_MAYBELEARNTBY        = "May learn : "
	--BC_SKILL_MAYBENOTBELEARNT     = "May not be learnt by an other character"

	BC_REAGENT_USEFUL            = "Reagent useful for:"

	BC_CONFIG_INFO               = "Info"
	BC_CONFIG_TITLE              = "Book of Crafts"
	BC_CONFIG_TOOLTIPS           = "Tooltips"
	BC_CONFIG_CRAFTS             = "Crafts"
	BC_CONFIG_REAGENTS           = "Reagents"

	BC_TAB_OPTIONS               = "Options"
	BC_TAB_DATA                  = "Data"

	BC_MSG_USAGE                 = BC_ADDON_NAME.."usage:\n   /boc - Opens configuration screen"
	BC_MSG_INITIALIZED           = BC_ADDON_NAME.." v"..BC_VERSION.." is loaded (type /boc for options)"
	BC_MSG_DATA_DELETED          = ": data deleted"
	BC_MSG_DATA_NOTFOUND         = " was not found"
	BC_MSG_OPEN_CRAFT            = "Please open your tradeskill/craft to update data"


	-- WoW Key Bindings menu

	BINDING_HEADER_BCHEADER     = BC_ADDON_NAME.." v"..BC_VERSION
	BINDING_NAME_BCCONFIGDIALOG = "Open Configuration dialog"


	-- Check button labels
	BCUI_CheckButton_SameFaction_Label              = "Only display characters \nfrom same faction"
	BCUI_CheckButton_ShowSkillRank_Label            = "Show skill rank"
	BCUI_Color_Tooltips_Label                       = "Tooltip color"
	BCUI_CheckButton_ShowChatMsg_Label              = "Debug"
	BCUI_CheckButton_ShowCurPlayer_Label            = "Display current character \nin results"
	BCUI_Color_TooltipsKnownBy_Label                = "Known recipe"
	BCUI_Color_TooltipsMayLearn_Label               = "Learnable recipe"
	BCUI_Color_TooltipsRankTooHigh_Label            = "Rank too high"
	BCUI_CheckButton_UseSideTooltip_Label           = "Use side tooltip"
	BCUI_CheckButton_ShowReagents_Label             = "Reagents watcher tooltip"

elseif( GetLocale()=="ruRU" ) then

	--[[ Russian translation ]]--

	BC_ADDON_DESC                = "Helps managing trade skills for all your characters."
	BC_ADDON_SHORT_DESC          = "Book of crafts"

	--BC_CRAFT_HEADERS             = "manual formula pattern plans recipe schematic design"

	BC_DELETECHAR                = "Delete Info"
	BC_CONFIRMDELETE             = "Confirm"
	BC_CLEANDATABASE             = "Clean Database"

	BC_SKILL_MANUAL              = "Учебник: "
	BC_SKILL_FORMULA             = "Формула: "
	BC_SKILL_PATTERN             = "Выкройка: "
	BC_SKILL_PLANS               = "Чертеж: "
	BC_SKILL_RECIPE              = "Рецепт: "
	BC_SKILL_SCHEMATIC           = "Чертеж: "
	BC_SKILL_DESIGN              = "Эскиз: "

	BC_SKILL_SPECIALS            = "| tribal leatherworking | dragonscale leatherworking | elemental leatherworking | weaponsmith | armorsmith | master axesmith | master swordsmith | master hammersmith | gnomish engineer | goblin engineer | shadoweave tailoring | mooncloth tailoring | spellfire tailoring | elixir master | potion master |"

	BC_SKILL_REQUIRE_FACTION     = "Requires (.+) - (.+)"
	BC_SKILL_REQUIRE_SKILL       = "Требуется: (.+) %((%d+)%)"
	BC_SKILL_REQUIRE_SPECIAL     = "Требуется "

	BC_SKILL_KNOWN               = "Already known: "
	BC_SKILL_MAYLEARN            = "May learn: "
	BC_SKILL_WILLLEARN           = "Rank too high: "
	BC_SKILL_INBANK              = "In bank: "
	BC_SKILL_UNKNOWN_UNLEARNABLE = "Unuseful recipe"

	--BC_SKILL_NOTKNOWN             = "Known by no other character"
	--BC_SKILL_MAYBELEARNTBY        = "May learn : "
	--BC_SKILL_MAYBENOTBELEARNT     = "May not be learnt by an other character"

	BC_REAGENT_USEFUL            = "Reagent useful for:"

	BC_CONFIG_INFO               = "Info"
	BC_CONFIG_TITLE              = "Book of Crafts"
	BC_CONFIG_TOOLTIPS           = "Tooltips"
	BC_CONFIG_CRAFTS             = "Crafts"
	BC_CONFIG_REAGENTS           = "Reagents"

	BC_TAB_OPTIONS               = "Options"
	BC_TAB_DATA                  = "Data"

	BC_MSG_USAGE                 = BC_ADDON_NAME.."usage:\n   /boc - Opens configuration screen"
	BC_MSG_INITIALIZED           = BC_ADDON_NAME.." v"..BC_VERSION.." is loaded (type /boc for options)"
	BC_MSG_DATA_DELETED          = ": data deleted"
	BC_MSG_DATA_NOTFOUND         = " was not found"
	BC_MSG_OPEN_CRAFT            = "Please open your tradeskill/craft to update data"


	-- WoW Key Bindings menu

	BINDING_HEADER_BCHEADER     = BC_ADDON_NAME.." v"..BC_VERSION
	BINDING_NAME_BCCONFIGDIALOG = "Open Configuration dialog"


	-- Check button labels
	BCUI_CheckButton_SameFaction_Label              = "Only display characters \nfrom same faction"
	BCUI_CheckButton_ShowSkillRank_Label            = "Show skill rank"
	BCUI_Color_Tooltips_Label                       = "Tooltip color"
	BCUI_CheckButton_ShowChatMsg_Label              = "Debug"
	BCUI_CheckButton_ShowCurPlayer_Label            = "Display current character \nin results"
	BCUI_Color_TooltipsKnownBy_Label                = "Known recipe"
	BCUI_Color_TooltipsMayLearn_Label               = "Learnable recipe"
	BCUI_Color_TooltipsRankTooHigh_Label            = "Rank too high"
	BCUI_CheckButton_UseSideTooltip_Label           = "Use side tooltip"
	BCUI_CheckButton_ShowReagents_Label             = "Reagents watcher tooltip"

else
	--[[ Generic translation ]]--

	BC_ADDON_DESC                = "Helps managing trade skills for all your characters."
	BC_ADDON_SHORT_DESC          = "Book of crafts"

	--BC_CRAFT_HEADERS             = "manual formula pattern plans recipe schematic design"

	BC_DELETECHAR                = "Delete Info"
	BC_CONFIRMDELETE             = "Confirm"
	BC_CLEANDATABASE             = "Clean Database"

	BC_SKILL_MANUAL              = "Manual: "
	BC_SKILL_FORMULA             = "Formula: "
	BC_SKILL_PATTERN             = "Pattern: "
	BC_SKILL_PLANS               = "Plans: "
	BC_SKILL_RECIPE              = "Recipe: "
	BC_SKILL_SCHEMATIC           = "Schematic: "
	BC_SKILL_DESIGN              = "Design: "

	BC_SKILL_SPECIALS            = "| tribal leatherworking | dragonscale leatherworking | elemental leatherworking | weaponsmith | armorsmith | master axesmith | master swordsmith | master hammersmith | gnomish engineer | goblin engineer | shadoweave tailoring | mooncloth tailoring | spellfire tailoring | elixir master | potion master |"

	BC_SKILL_REQUIRE_FACTION     = "Requires (.+) - (.+)"
	BC_SKILL_REQUIRE_SKILL       = "Requires (.+) %((%d+)%)"
	BC_SKILL_REQUIRE_SPECIAL     = "Requires "

	BC_SKILL_KNOWN               = "Already known: "
	BC_SKILL_MAYLEARN            = "May learn: "
	BC_SKILL_WILLLEARN           = "Rank too high: "
	BC_SKILL_INBANK              = "In bank: "
	BC_SKILL_UNKNOWN_UNLEARNABLE = "Unuseful recipe"

	--BC_SKILL_NOTKNOWN             = "Known by no other character"
	--BC_SKILL_MAYBELEARNTBY        = "May learn : "
	--BC_SKILL_MAYBENOTBELEARNT     = "May not be learnt by an other character"

	BC_REAGENT_USEFUL            = "Reagent useful for:"

	BC_CONFIG_INFO               = "Info"
	BC_CONFIG_TITLE              = "Book of Crafts"
	BC_CONFIG_TOOLTIPS           = "Tooltips"
	BC_CONFIG_CRAFTS             = "Crafts"
	BC_CONFIG_REAGENTS           = "Reagents"

	BC_TAB_OPTIONS               = "Options"
	BC_TAB_DATA                  = "Data"

	BC_MSG_USAGE                 = BC_ADDON_NAME.."usage:\n   /boc - Opens configuration screen"
	BC_MSG_INITIALIZED           = BC_ADDON_NAME.." v"..BC_VERSION.." is loaded (type /boc for options)"
	BC_MSG_DATA_DELETED          = ": data deleted"
	BC_MSG_DATA_NOTFOUND         = " was not found"
	BC_MSG_OPEN_CRAFT            = "Please open your tradeskill/craft to update data"


	-- WoW Key Bindings menu

	BINDING_HEADER_BCHEADER     = BC_ADDON_NAME.." v"..BC_VERSION
	BINDING_NAME_BCCONFIGDIALOG = "Open Configuration dialog"


	-- Check button labels
	BCUI_CheckButton_SameFaction_Label              = "Only display characters \nfrom same faction"
	BCUI_CheckButton_ShowSkillRank_Label            = "Show skill rank"
	BCUI_Color_Tooltips_Label                       = "Tooltip color"
	BCUI_CheckButton_ShowChatMsg_Label              = "Debug"
	BCUI_CheckButton_ShowCurPlayer_Label            = "Display current character \nin results"
	BCUI_Color_TooltipsKnownBy_Label                = "Known recipe"
	BCUI_Color_TooltipsMayLearn_Label               = "Learnable recipe"
	BCUI_Color_TooltipsRankTooHigh_Label            = "Rank too high"
	BCUI_CheckButton_UseSideTooltip_Label           = "Use side tooltip"
	BCUI_CheckButton_ShowReagents_Label             = "Reagents watcher tooltip"

end
